Name:           perl-IO-All
Version:        0.38
Release:        2%{?dist}
Summary:        IO::All Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IO-All/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/IO-All-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::ReadBackwards)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(MLDBM)
BuildRequires:  perl(Spiffy) >= 0.21
BuildRequires:  perl(Test::More)
Requires:       perl(Spiffy) >= 0.21
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Source98:       IO-All-filter-requires.sh
%global real_perl_requires %{__perl_requires}
%define __perl_requires %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)-filter-requires

%description
The IO::All object is a proxy for IO::File, IO::Dir, IO::Socket,
IO::String, Tie::File, File::Spec, File::Path and File::ReadBackwards; as
well as all the DBM and MLDBM modules. You can use most of the methods
found in these classes and in IO::Handle (which they inherit from). IO::All
adds dozens of other helpful idiomatic methods including file stat and
manipulation functions.

%prep
%setup -q -n IO-All-%{version}

sed -e 's,@@PERL_REQ@@,%{real_perl_requires},' %{SOURCE98} > %{__perl_requires}
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT %{__perl_requires}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Dec 31 2007 Ralf Corsépius <rc040203@freenet.de> 0.38-2
- Adjust License-tag.
- BR: perl(Test::More) (BZ 419631).

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 0.38-1
- Update to 0.38.
- BR ExtUtils::MakeMaker.
- BR MLDBM for better test coverage.

* Tue Oct 17 2006 Steven Pritchard <steve@kspei.com> 0.36-1
- Update to 0.36.
- Use fixperms macro instead of our own chmod incantation.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.35-4
- Fix find option order.

* Fri Jul 07 2006 Steven Pritchard <steve@kspei.com> 0.35-3
- BR IO::String so the tests actually pass.

* Fri Jul 07 2006 Steven Pritchard <steve@kspei.com> 0.35-2
- Re-enable "make test".
- BR File::ReadBackwards for better test coverage.

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 0.35-1
- Update to 0.35.

* Fri Mar 10 2006 Steven Pritchard <steve@kspei.com> 0.33-3
- Change dep filter.
- Various cleanups to match current cpanspec.

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 0.33-2
- Filter Requires: perl(mixin).
- Turn off "make test" for now.
- Drop explict BR: perl.

* Wed Dec 28 2005 Steven Pritchard <steve@kspei.com> 0.33-1
- Specfile autogenerated.
